#include <phigs.h>			/* get HP-PHIGS definitions for C */
#include <stdio.h>			/* get standard I/O definitions */

main()					/* file "CharSpace.c" */
{
    Pint	WorkstnID = 1;		/* workstation identifier */
    Pint	ConnID;			/* connection identifier */
    Pint	WorkstnType = POIDDX;	/* out/in, direct, dbl bfr, Xwindow */
    Pint	TheStructure = 1;	/* structure ID (chosen by user) */
    char	String[20];		/* string holder */
    Ppoint	Loc;			/* location of text */
    int		I;			/* loop control variable */

    popen_phigs((char *) stderr, 0);	/* errors go to "stderr" */
    pescape_u4("/dev/screen/phigs_window", &ConnID);
    popen_ws(WorkstnID, (void *) ConnID, WorkstnType);
    popen_struct(TheStructure);
    pset_char_ht(0.06);
    pset_char_expan(0.45);
    Loc.x = 0.0;
    for (I = -1; I <= 4; I++) {
	pset_char_space(I * 0.25);
	sprintf(String, "Spacing: %4.2f", I * 0.25);
	Loc.y = (6 - I) * 0.1;
	ptext(&Loc, String);
    }
    pclose_struct();
    ppost_struct(WorkstnID, TheStructure, 1.0);
    pupd_ws(WorkstnID, PFLAG_PERFORM);	/* (regeneration flag) */
    pclose_ws(WorkstnID);
    pclose_phigs();
}
